Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class ForkOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.BaseForkOptions
              org.gradle.api.tasks.compile.ForkOptions

    public class ForkOptions
    extends BaseForkOptions

Fork options for Java compilation. Only take effect if `CompileOptions.fork` is `true`.

Method Summary
`protected boolean` | `excludeFromAntProperties(String fieldName)`
`String` | `getExecutable()` Returns the compiler executable to be used.
`String` | `getTempDir()` Returns the directory used for temporary files that may be created to pass command line arguments to the compiler process.
`void` | `setExecutable(String executable)` Sets the compiler executable to be used.
`void` | `setTempDir(String tempDir)` Sets the directory used for temporary files that may be created to pass command line arguments to the compiler process.

Methods inherited from class BaseForkOptions
excludeFromAntProperties, getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize

Methods inherited from class AbstractOptions
define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap

Method Detail

### excludeFromAntProperties

    @Override
    protected boolean excludeFromAntProperties(String fieldName)

### getExecutable

    @Input
    @Optional
    public String getExecutable()

  Returns the compiler executable to be used. If set, a new compiler process will be forked for every compile task. Defaults to `null`.

### getTempDir

    public String getTempDir()

  Returns the directory used for temporary files that may be created to pass command line arguments to the compiler process. Defaults to `null`, in which case the directory will be chosen automatically.

### setExecutable

    public void setExecutable(String executable)

  Sets the compiler executable to be used. If set, a new compiler process will be forked for every compile task. Defaults to `null`.

### setTempDir

    public void setTempDir(String tempDir)

  Sets the directory used for temporary files that may be created to pass command line arguments to the compiler process. Defaults to `null`, in which case the directory will be chosen automatically.

Gradle API 1.10